> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuro-tech.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get token

## Overview

Gets information about a token.

## HTTP request

`POST /Agent/Tokens/GetToken`

## Authentication

Requires a valid JWT bearer token.

## Request (JSON)

```json theme={null}
{
	"tokenId":Required(Str(PTokenId))
}
```

## Input parameters

| Parameter | Description         |
| --------- | ------------------- |
| PTokenId  | ID of token to get. |

## Response (JSON)

```json theme={null}
{
	"Token":Required(PToken)
}
```

## Response parameters

| Parameter | Description                     |
| --------- | ------------------------------- |
| PToken    | Token, if authorized and found. |

## Notes

This endpoint uses the request schema notation described in [Pattern matching](/neuron-api/pattern-matching).
